Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Controller Schema Reference (Version 1.0)
DETAILS: | FRAMES | NO FRAMES

# How This Namespace Documentation Is Organized

This XML Schema documentation document has pages corresponding to the items in the navigation bar, described as follows.

Namespace
  Each namespace has a page that contains a list of its elements, attributes, types, groups and attribute groups, with a summary for each. This page can contain six categories:
  - Elements
  - Complex Types
  - Simple Types
  - Attributes
  - Groups
  - Attribute Groups

Elements
  Each Element has its own separate page. Each of these pages has three sections consisting of a model documentation nested element summary, attribute summary and a detailed attribute descriptions:
  - Model description
  - Type properties
  - Usage
  - Nested Element Summary
  - Attribute Summary
  - Attribute Details

  Each summary entry contains the first sentence from the detailed description for that item. all summary and detail entries are in alphabetical order. Local element declarations are listed within their hierarchy of definition, seperated similar to XPath with a slash.

Index
  The Index contains an alphabetic list of all elements, attributes, types, groups and attribute groups of all namespaces. Simmilar to XPath, attributes are prefixed with '@'. Types are italic, groups are surrounded by round braces, attribute groups are surrounded by round braces and prefixed with '@'.

Frames/No Frames
  These links show and hide the HTML frames. All pages are available with or without frames.

Model documentation

  The model documentation is a short description of the content model similar to an XML instance document.

  Attributes:
    Required attributes are bold
  Nested Elements:
    Particles are grouped with round braces. Optional particels are followed by a question mark. Multiple occurances of particles are marked with a plus sign (one or more), an asterix (zero or more) or two numbers in curly braces (lower and upper bound of number of occurrences).

This help file applies to XML Schema documentation generated using xnsdoc.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Controller Schema Reference (Version 1.0)
DETAILS: | FRAMES | NO FRAMES

Version: 10.3